@octokit/openapi 14.1.0 → 15.1.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "openapi": "3.0.3",
3
3
  "info": {
4
- "version": "14.1.0",
4
+ "version": "15.1.0",
5
5
  "title": "GitHub's official OpenAPI spec + Octokit extension",
6
6
  "description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
7
7
  "license": {
@@ -236,7 +236,8 @@
236
236
  },
237
237
  "hub_url": {
238
238
  "type": "string",
239
- "format": "uri-template"
239
+ "format": "uri-template",
240
+ "deprecated": true
240
241
  },
241
242
  "issue_search_url": {
242
243
  "type": "string",
@@ -332,7 +333,6 @@
332
333
  "followers_url",
333
334
  "following_url",
334
335
  "gists_url",
335
- "hub_url",
336
336
  "issue_search_url",
337
337
  "issues_url",
338
338
  "keys_url",
@@ -35440,7 +35440,6 @@
35440
35440
  "default": {
35441
35441
  "value": {
35442
35442
  "advanced_security_enabled_for_new_repositories": true,
35443
- "advanced_security_enabled_new_user_namespace_repos": true,
35444
35443
  "dependabot_alerts_enabled_for_new_repositories": true,
35445
35444
  "secret_scanning_enabled_for_new_repositories": true,
35446
35445
  "secret_scanning_push_protection_enabled_for_new_repositories": true,
@@ -81095,7 +81094,7 @@
81095
81094
  "/orgs/{org}/hooks": {
81096
81095
  "get": {
81097
81096
  "summary": "List organization webhooks",
81098
- "description": "",
81097
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
81099
81098
  "tags": [
81100
81099
  "orgs"
81101
81100
  ],
@@ -81304,7 +81303,7 @@
81304
81303
  },
81305
81304
  "post": {
81306
81305
  "summary": "Create an organization webhook",
81307
- "description": "Here's how you can create a hook that posts payloads in JSON format:",
81306
+ "description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
81308
81307
  "tags": [
81309
81308
  "orgs"
81310
81309
  ],
@@ -81657,7 +81656,7 @@
81657
81656
  "/orgs/{org}/hooks/{hook_id}": {
81658
81657
  "get": {
81659
81658
  "summary": "Get an organization webhook",
81660
- "description": "Returns a webhook configured in an organization. To get only the webhook `config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization).\"",
81659
+ "description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
81661
81660
  "tags": [
81662
81661
  "orgs"
81663
81662
  ],
@@ -81844,7 +81843,7 @@
81844
81843
  },
81845
81844
  "patch": {
81846
81845
  "summary": "Update an organization webhook",
81847
- "description": "Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use \"[Update a webhook configuration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization).\"",
81846
+ "description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
81848
81847
  "tags": [
81849
81848
  "orgs"
81850
81849
  ],
@@ -82177,7 +82176,7 @@
82177
82176
  },
82178
82177
  "delete": {
82179
82178
  "summary": "Delete an organization webhook",
82180
- "description": "",
82179
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
82181
82180
  "tags": [
82182
82181
  "orgs"
82183
82182
  ],
@@ -82249,7 +82248,7 @@
82249
82248
  "/orgs/{org}/hooks/{hook_id}/config": {
82250
82249
  "get": {
82251
82250
  "summary": "Get a webhook configuration for an organization",
82252
- "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
82251
+ "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
82253
82252
  "tags": [
82254
82253
  "orgs"
82255
82254
  ],
@@ -82342,7 +82341,7 @@
82342
82341
  },
82343
82342
  "patch": {
82344
82343
  "summary": "Update a webhook configuration for an organization",
82345
- "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
82344
+ "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
82346
82345
  "tags": [
82347
82346
  "orgs"
82348
82347
  ],
@@ -82488,7 +82487,7 @@
82488
82487
  "/orgs/{org}/hooks/{hook_id}/deliveries": {
82489
82488
  "get": {
82490
82489
  "summary": "List deliveries for an organization webhook",
82491
- "description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
82490
+ "description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
82492
82491
  "tags": [
82493
82492
  "orgs"
82494
82493
  ],
@@ -82807,7 +82806,7 @@
82807
82806
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
82808
82807
  "get": {
82809
82808
  "summary": "Get a webhook delivery for an organization webhook",
82810
- "description": "Returns a delivery for a webhook configured in an organization.",
82809
+ "description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
82811
82810
  "tags": [
82812
82811
  "orgs"
82813
82812
  ],
@@ -83169,7 +83168,7 @@
83169
83168
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
83170
83169
  "post": {
83171
83170
  "summary": "Redeliver a delivery for an organization webhook",
83172
- "description": "Redeliver a delivery for a webhook configured in an organization.",
83171
+ "description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
83173
83172
  "tags": [
83174
83173
  "orgs"
83175
83174
  ],
@@ -83364,7 +83363,7 @@
83364
83363
  "/orgs/{org}/hooks/{hook_id}/pings": {
83365
83364
  "post": {
83366
83365
  "summary": "Ping an organization webhook",
83367
- "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.8/webhooks/#ping-event) to be sent to the hook.",
83366
+ "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.8/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
83368
83367
  "tags": [
83369
83368
  "orgs"
83370
83369
  ],
@@ -132809,7 +132808,7 @@
132809
132808
  "/repos/{owner}/{repo}/actions/runs": {
132810
132809
  "get": {
132811
132810
  "summary": "List workflow runs for a repository",
132812
- "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.8/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.",
132811
+ "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.8/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
132813
132812
  "tags": [
132814
132813
  "actions"
132815
132814
  ],
@@ -206671,6 +206670,32 @@
206671
206670
  "204": {
206672
206671
  "description": "Response"
206673
206672
  },
206673
+ "404": {
206674
+ "description": "Resource not found",
206675
+ "content": {
206676
+ "application/json": {
206677
+ "schema": {
206678
+ "title": "Basic Error",
206679
+ "description": "Basic Error",
206680
+ "type": "object",
206681
+ "properties": {
206682
+ "message": {
206683
+ "type": "string"
206684
+ },
206685
+ "documentation_url": {
206686
+ "type": "string"
206687
+ },
206688
+ "url": {
206689
+ "type": "string"
206690
+ },
206691
+ "status": {
206692
+ "type": "string"
206693
+ }
206694
+ }
206695
+ }
206696
+ }
206697
+ }
206698
+ },
206674
206699
  "422": {
206675
206700
  "description": "Validation failed, or the endpoint has been spammed.",
206676
206701
  "content": {
@@ -297572,6 +297597,32 @@
297572
297597
  }
297573
297598
  }
297574
297599
  },
297600
+ "406": {
297601
+ "description": "Unacceptable",
297602
+ "content": {
297603
+ "application/json": {
297604
+ "schema": {
297605
+ "title": "Basic Error",
297606
+ "description": "Basic Error",
297607
+ "type": "object",
297608
+ "properties": {
297609
+ "message": {
297610
+ "type": "string"
297611
+ },
297612
+ "documentation_url": {
297613
+ "type": "string"
297614
+ },
297615
+ "url": {
297616
+ "type": "string"
297617
+ },
297618
+ "status": {
297619
+ "type": "string"
297620
+ }
297621
+ }
297622
+ }
297623
+ }
297624
+ }
297625
+ },
297575
297626
  "500": {
297576
297627
  "description": "Internal Error",
297577
297628
  "content": {
@@ -325756,6 +325807,20 @@
325756
325807
  "commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
325757
325808
  }
325758
325809
  },
325810
+ {
325811
+ "type": "wiki_commit",
325812
+ "details": {
325813
+ "path": "/example/Home.md",
325814
+ "start_line": 1,
325815
+ "end_line": 1,
325816
+ "start_column": 1,
325817
+ "end_column": 64,
325818
+ "blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
325819
+ "page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
325820
+ "commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
325821
+ "commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
325822
+ }
325823
+ },
325759
325824
  {
325760
325825
  "type": "issue_title",
325761
325826
  "details": {
@@ -834385,8 +834450,7 @@
834385
834450
  },
834386
834451
  "repository-dispatch-sample.collected": {
834387
834452
  "post": {
834388
- "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.8/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
834389
- "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
834453
+ "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.8/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
834390
834454
  "operationId": "repository-dispatch/sample.collected",
834391
834455
  "externalDocs": {
834392
834456
  "url": "https://docs.github.com/enterprise-server@3.8/webhooks/webhook-events-and-payloads#repository_dispatch"
@@ -834475,9 +834539,7 @@
834475
834539
  "properties": {
834476
834540
  "action": {
834477
834541
  "type": "string",
834478
- "enum": [
834479
- "sample.collected"
834480
- ]
834542
+ "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
834481
834543
  },
834482
834544
  "branch": {
834483
834545
  "type": "string"
@@ -834485,7 +834547,8 @@
834485
834547
  "client_payload": {
834486
834548
  "type": "object",
834487
834549
  "nullable": true,
834488
- "additionalProperties": true
834550
+ "additionalProperties": true,
834551
+ "description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
834489
834552
  },
834490
834553
  "enterprise": {
834491
834554
  "title": "Enterprise",
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "openapi": "3.0.3",
3
3
  "info": {
4
- "version": "14.1.0",
4
+ "version": "15.1.0",
5
5
  "title": "GitHub's official OpenAPI spec + Octokit extension",
6
6
  "description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
7
7
  "license": {
@@ -7981,7 +7981,6 @@
7981
7981
  "default": {
7982
7982
  "value": {
7983
7983
  "advanced_security_enabled_for_new_repositories": true,
7984
- "advanced_security_enabled_new_user_namespace_repos": true,
7985
7984
  "dependabot_alerts_enabled_for_new_repositories": true,
7986
7985
  "secret_scanning_enabled_for_new_repositories": true,
7987
7986
  "secret_scanning_push_protection_enabled_for_new_repositories": true,
@@ -15401,7 +15400,7 @@
15401
15400
  "/orgs/{org}/hooks": {
15402
15401
  "get": {
15403
15402
  "summary": "List organization webhooks",
15404
- "description": "",
15403
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15405
15404
  "tags": [
15406
15405
  "orgs"
15407
15406
  ],
@@ -15459,7 +15458,7 @@
15459
15458
  },
15460
15459
  "post": {
15461
15460
  "summary": "Create an organization webhook",
15462
- "description": "Here's how you can create a hook that posts payloads in JSON format:",
15461
+ "description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15463
15462
  "tags": [
15464
15463
  "orgs"
15465
15464
  ],
@@ -15596,7 +15595,7 @@
15596
15595
  "/orgs/{org}/hooks/{hook_id}": {
15597
15596
  "get": {
15598
15597
  "summary": "Get an organization webhook",
15599
- "description": "Returns a webhook configured in an organization. To get only the webhook `config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization).\"",
15598
+ "description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15600
15599
  "tags": [
15601
15600
  "orgs"
15602
15601
  ],
@@ -15643,7 +15642,7 @@
15643
15642
  },
15644
15643
  "patch": {
15645
15644
  "summary": "Update an organization webhook",
15646
- "description": "Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use \"[Update a webhook configuration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization).\"",
15645
+ "description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15647
15646
  "tags": [
15648
15647
  "orgs"
15649
15648
  ],
@@ -15755,7 +15754,7 @@
15755
15754
  },
15756
15755
  "delete": {
15757
15756
  "summary": "Delete an organization webhook",
15758
- "description": "",
15757
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15759
15758
  "tags": [
15760
15759
  "orgs"
15761
15760
  ],
@@ -15792,7 +15791,7 @@
15792
15791
  "/orgs/{org}/hooks/{hook_id}/config": {
15793
15792
  "get": {
15794
15793
  "summary": "Get a webhook configuration for an organization",
15795
- "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
15794
+ "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15796
15795
  "tags": [
15797
15796
  "orgs"
15798
15797
  ],
@@ -15836,7 +15835,7 @@
15836
15835
  },
15837
15836
  "patch": {
15838
15837
  "summary": "Update a webhook configuration for an organization",
15839
- "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
15838
+ "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15840
15839
  "tags": [
15841
15840
  "orgs"
15842
15841
  ],
@@ -15917,7 +15916,7 @@
15917
15916
  "/orgs/{org}/hooks/{hook_id}/deliveries": {
15918
15917
  "get": {
15919
15918
  "summary": "List deliveries for an organization webhook",
15920
- "description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
15919
+ "description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15921
15920
  "tags": [
15922
15921
  "orgs"
15923
15922
  ],
@@ -15986,7 +15985,7 @@
15986
15985
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
15987
15986
  "get": {
15988
15987
  "summary": "Get a webhook delivery for an organization webhook",
15989
- "description": "Returns a delivery for a webhook configured in an organization.",
15988
+ "description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
15990
15989
  "tags": [
15991
15990
  "orgs"
15992
15991
  ],
@@ -16041,7 +16040,7 @@
16041
16040
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
16042
16041
  "post": {
16043
16042
  "summary": "Redeliver a delivery for an organization webhook",
16044
- "description": "Redeliver a delivery for a webhook configured in an organization.",
16043
+ "description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16045
16044
  "tags": [
16046
16045
  "orgs"
16047
16046
  ],
@@ -16084,7 +16083,7 @@
16084
16083
  "/orgs/{org}/hooks/{hook_id}/pings": {
16085
16084
  "post": {
16086
16085
  "summary": "Ping an organization webhook",
16087
- "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.8/webhooks/#ping-event) to be sent to the hook.",
16086
+ "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.8/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16088
16087
  "tags": [
16089
16088
  "orgs"
16090
16089
  ],
@@ -24645,7 +24644,7 @@
24645
24644
  "/repos/{owner}/{repo}/actions/runs": {
24646
24645
  "get": {
24647
24646
  "summary": "List workflow runs for a repository",
24648
- "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.8/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.",
24647
+ "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.8/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
24649
24648
  "tags": [
24650
24649
  "actions"
24651
24650
  ],
@@ -35311,6 +35310,9 @@
35311
35310
  "204": {
35312
35311
  "description": "Response"
35313
35312
  },
35313
+ "404": {
35314
+ "$ref": "#/components/responses/not_found"
35315
+ },
35314
35316
  "422": {
35315
35317
  "$ref": "#/components/responses/validation_failed"
35316
35318
  }
@@ -44674,6 +44676,9 @@
44674
44676
  "404": {
44675
44677
  "$ref": "#/components/responses/not_found"
44676
44678
  },
44679
+ "406": {
44680
+ "$ref": "#/components/responses/unacceptable"
44681
+ },
44677
44682
  "500": {
44678
44683
  "$ref": "#/components/responses/internal_error"
44679
44684
  },
@@ -77458,8 +77463,7 @@
77458
77463
  },
77459
77464
  "repository-dispatch-sample.collected": {
77460
77465
  "post": {
77461
- "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.8/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
77462
- "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
77466
+ "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.8/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
77463
77467
  "operationId": "repository-dispatch/sample.collected",
77464
77468
  "externalDocs": {
77465
77469
  "url": "https://docs.github.com/enterprise-server@3.8/webhooks/webhook-events-and-payloads#repository_dispatch"
@@ -82521,7 +82525,8 @@
82521
82525
  },
82522
82526
  "hub_url": {
82523
82527
  "type": "string",
82524
- "format": "uri-template"
82528
+ "format": "uri-template",
82529
+ "deprecated": true
82525
82530
  },
82526
82531
  "issue_search_url": {
82527
82532
  "type": "string",
@@ -82617,7 +82622,6 @@
82617
82622
  "followers_url",
82618
82623
  "following_url",
82619
82624
  "gists_url",
82620
- "hub_url",
82621
82625
  "issue_search_url",
82622
82626
  "issues_url",
82623
82627
  "keys_url",
@@ -244226,9 +244230,7 @@
244226
244230
  "properties": {
244227
244231
  "action": {
244228
244232
  "type": "string",
244229
- "enum": [
244230
- "sample.collected"
244231
- ]
244233
+ "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
244232
244234
  },
244233
244235
  "branch": {
244234
244236
  "type": "string"
@@ -244236,7 +244238,8 @@
244236
244238
  "client_payload": {
244237
244239
  "type": "object",
244238
244240
  "nullable": true,
244239
- "additionalProperties": true
244241
+ "additionalProperties": true,
244242
+ "description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
244240
244243
  },
244241
244244
  "enterprise": {
244242
244245
  "$ref": "#/components/schemas/enterprise-webhooks"
@@ -280274,6 +280277,20 @@
280274
280277
  "commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
280275
280278
  }
280276
280279
  },
280280
+ {
280281
+ "type": "wiki_commit",
280282
+ "details": {
280283
+ "path": "/example/Home.md",
280284
+ "start_line": 1,
280285
+ "end_line": 1,
280286
+ "start_column": 1,
280287
+ "end_column": 64,
280288
+ "blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
280289
+ "page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
280290
+ "commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
280291
+ "commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
280292
+ }
280293
+ },
280277
280294
  {
280278
280295
  "type": "issue_title",
280279
280296
  "details": {
@@ -287146,6 +287163,16 @@
287146
287163
  }
287147
287164
  }
287148
287165
  },
287166
+ "unacceptable": {
287167
+ "description": "Unacceptable",
287168
+ "content": {
287169
+ "application/json": {
287170
+ "schema": {
287171
+ "$ref": "#/components/schemas/basic-error"
287172
+ }
287173
+ }
287174
+ }
287175
+ },
287149
287176
  "no_content": {
287150
287177
  "description": "A header with no content is returned."
287151
287178
  },